Subject: RE: [Diffserv] Yet another EF definition

From: "Elwyn Davies" <[email-masked]>
Date: Sun, 30 Jul 2000 22:39:16 +0100

The IP Performance Metrics WG is just trying to define a quantity which they
don't want to call jitter.

Regards,
Elwyn Davies

> -----Original Message-----
> From:	Martin Westhead [SMTP:[email-masked]]
> Sent:	Sunday, July 30, 2000 4:01 PM
> To:	Steve Blake
> Cc:	[email-masked]
> Subject:	Re: [Diffserv] Yet another EF definition
> 
> Hi,
> 
> I'd like to say that I think Steve's approach deserves some
> consideration.
> 
> It seems to me that the property of EF behaviour that we really want to
> capture with a definition is a bound on the jitter through a router?
> 
> We have two proposals:
> 	- RFC2598 which is intuitive but appears to capture the wrong
> behaviour
> and 	
> 	- drafy-charny... which despite proofs of correctness feels
> unsatisfying, to me at least, because its formulation does not follow
> easily from intuition and it feels more complicated than it should be.
> 
> Is the problem with both proposals that they are actually trying to
> define a jitter bound in terms of packet rates?
> 
> It should be straightforward to agree a definition of jitter through a
> router. You could then discuss different bounds that could be applied to
> it (e.g. fixed, percentile, as a function of MTU, C, R etc.) Such a
> definition should be robust against both the rate problem and the router
> delay problem identified in drafy-charny... but could be much more
> intuitive in its formulation.
> Or have I missed something that makes this approach infeasible?
> 
> Cheers,
> 
> Martin
> 
> Steve Blake wrote:
> > 
> > I have only skimmed draft-charny-ef-definition-00.txt (although
> everything
> > I read in it looked fine), and I have not been able to follow every
> message
> > on the list this week, so my apologies if the following restates
> something
> > already obvious to everyone else, but the most concise verbal definition
> > of EF I could come up with that captures the *operationally significant*
> > characteristics of the behavior is as follows:
> > 
> >   A node exhibits behavior EF(T(), D(), MTU, C, R) for output link O
> with
> >   rate C, MTU, and configured EF rate R <= C if, for any EF-feasible
> traffic
> >   pattern for O (satisfying the constraint that the amount of received
> EF
> >   traffic for O over any interval T(R, MTU) is strictly less than
> >   R * T(R, MTU)), the peak packet forwarding delay variation (the
> maximum
> >   difference in the packet forwarding delay (the difference between the
> >   receipt and transmission time of the last byte of a packet) across all
> >   packets) for the EF traffic for O is bounded by D(MTU, C, R) and the
> >   packet loss is negligible (i.e., zero), in the presence of arbitrary
> >   amounts of non-EF traffic for O.
> > 
> > The appropriate requirements for T() and D() would be PDB-dependent.  A
> > precise definition would have to define the measured traffic over an
> > interval to account for variances in L2 header size, packet
> fragmentation,
> > etc.  Any particular implementation would only be able to support
> certain
> > bounds D() given T(), MTU, C, and R, and the node's number of ports N.
> > 
> > Regards,
> > 
> > =-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
> > Steven L. Blake                  <[email-masked]>
> > Ericsson IP Infrastructure                  (919)472-9913
> > 
> > _______________________________________________
> > diffserv mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/diffserv
> > Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
> 
> -- 
> --------|epcc|------------------------------------------------ 
> Dr Martin D. Westhead | <[email-masked]> 
>                       | http://www.epcc.ed.ac.uk/~martinwe 
> Principal Consultant  | phone : +44 (0)131 650 5958       
>     Research          | mobile: +44 (0)7050 193530
> -------------------------------------------------|epcc|-------
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>